Thread: Distributions?
View Single Post
  #4  
Old 05-29-2014, 12:05 PM
valczir valczir is offline
Amateur
 
Join Date: May 2014
Posts: 1
Default

Quote:
Originally Posted by booman View Post
I have finally updated to Mint 17 which is based on Ubuntu 14.04 LTS.
Hopefully I can stick with it for a few years instead of updating every 6 months.
I don't "hate" updating since I mostly use it as a test system, but I really like consistency. Having to re-install every six months is a pain. I would not expect new Linux gamers to do this.
FYI, this is precisely why I always recommend that people use a rolling release distro. Upgrading to the next version of a distro is often a pain, and reinstalling every six months can be a little annoying (although, precisely how annoying depends on a lot of factors).

I always recommend Manjaro to linux newbies. Some of the tools can be a little buggy, but the vast majority work very well, and as a rolling release distro, installing updates will automatically catch you up to the latest version. No need to ever reinstall, unless you just want to for some reason.

For my part, I'm on funtoo (Daniel Robbins's meta distribution based on gentoo); but that's definitely *not* a distro for linux newbies. It's source-based, so the package manager downloads and compiles source code. I find it helpful (I like tracking down and fixing bugs), but I am very well aware of how steep the learning cliff is.

I just tried all three demos (Drox Operative, Din's Curse, and Depths of Peril):

Din's Curse worked perfectly fine without any work on my part.

With both Drox Operative and Depths of Peril, I initially got a "Critical Error" saying "Couldn't find Database/database.dbl!" I dug through the assets files just to make sure that file did exist, then checked out the Readme; even though libtxc_dxtn is supposed to be optional, I installed it (media-libs/libxtc_dxtn in gentoo/funtoo), and the Critical Error message went away. I had no problems after that.
Reply With Quote